GET api/AddDeds

Get payroll additions and deductions details

Request Information

URI Parameters

(i.e.queryString parameters in the form ?param1={param1}&param2={param2})

NameDescriptionTypeAdditional information
page

integer

Default value is 1

pageSize

integer

Default value is 1000

Body Parameters

None.

Response Information

Resource Description

PagedObjectOfAddDeductView
NameDescriptionTypeAdditional information
Items

Collection of AddDeductView

None.

PageInfo

PagedListPageInfo

None.

Response Formats

application/json, text/json

Sample:
{
  "items": [
    {
      "idAddDeduct": 1,
      "type": 2,
      "category": 3,
      "description": "sample string 4",
      "shortcutKey": "sample string 5",
      "employeeSuper": 6,
      "reducingBalance": true,
      "alternateAddDeduct": 1,
      "amount": 1.0,
      "rate": 1.0,
      "percent": 1.0,
      "unitDescription": "sample string 8",
      "hours": 1,
      "costAccountID": 1,
      "code": "sample string 9"
    },
    {
      "idAddDeduct": 1,
      "type": 2,
      "category": 3,
      "description": "sample string 4",
      "shortcutKey": "sample string 5",
      "employeeSuper": 6,
      "reducingBalance": true,
      "alternateAddDeduct": 1,
      "amount": 1.0,
      "rate": 1.0,
      "percent": 1.0,
      "unitDescription": "sample string 8",
      "hours": 1,
      "costAccountID": 1,
      "code": "sample string 9"
    }
  ],
  "pageInfo": {
    "page": 1,
    "pageSize": 2,
    "totalCount": 3,
    "totalPages": 4,
    "countThisPage": 5,
    "hasPreviousPage": true,
    "hasNextPage": true,
    "errorMessage": "sample string 8"
  }
}

application/xml, text/xml

Sample:
<PagedObjectOfAddDeductView xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Items>
    <AddDeductView>
      <idAddDeduct>1</idAddDeduct>
      <Type>2</Type>
      <Category>3</Category>
      <Description>sample string 4</Description>
      <ShortcutKey>sample string 5</ShortcutKey>
      <EmployeeSuper>6</EmployeeSuper>
      <ReducingBalance>true</ReducingBalance>
      <AlternateAddDeduct>1</AlternateAddDeduct>
      <Amount>1</Amount>
      <Rate>1</Rate>
      <Percent>1</Percent>
      <UnitDescription>sample string 8</UnitDescription>
      <Hours>1</Hours>
      <CostAccountID>1</CostAccountID>
      <Code>sample string 9</Code>
    </AddDeductView>
    <AddDeductView>
      <idAddDeduct>1</idAddDeduct>
      <Type>2</Type>
      <Category>3</Category>
      <Description>sample string 4</Description>
      <ShortcutKey>sample string 5</ShortcutKey>
      <EmployeeSuper>6</EmployeeSuper>
      <ReducingBalance>true</ReducingBalance>
      <AlternateAddDeduct>1</AlternateAddDeduct>
      <Amount>1</Amount>
      <Rate>1</Rate>
      <Percent>1</Percent>
      <UnitDescription>sample string 8</UnitDescription>
      <Hours>1</Hours>
      <CostAccountID>1</CostAccountID>
      <Code>sample string 9</Code>
    </AddDeductView>
  </Items>
  <PageInfo>
    <Page>1</Page>
    <PageSize>2</PageSize>
    <TotalCount>3</TotalCount>
    <TotalPages>4</TotalPages>
    <CountThisPage>5</CountThisPage>
    <HasPreviousPage>true</HasPreviousPage>
    <HasNextPage>true</HasNextPage>
    <ErrorMessage>sample string 8</ErrorMessage>
  </PageInfo>
</PagedObjectOfAddDeductView>